/*       -*- C++ -*- */
/** \file
 ********************************************************************
 * $URL: svn+ssh://nalw02/home/alg/schlemme/svn/cextools/trunk/cex2pdf.cpp $
 * $Id: cex2pdf.cpp 13 2008-04-21 08:52:07Z schlemme $
 * $Date: 2008-04-21 10:52:07 +0200 (Mo, 21 Apr 2008) $
 * $Revision: 13 $
 * \author Tobias Schlemmer <keinstein@users.berlios.de>
 * $Author: schlemme $ 
 * \license LGPL
 * 
 * Main program. 
 *
 * \addtogroup svddraw
 *
 *\{
 ********************************************************************
 */	  

#include "cexfile.h"
#include "svddraw.h"

void SVDDraw (const cexfile::diagram & diagram) {
	cexfile::concept_rs irreducibles = diagram.get_irreducibles();
	
}

void SVDDraw (const cexfile::lattice & lattice) {
	const cexfile::diagram_s & diagrams = lattice.get_diagrams();
	for (cexfile::diagram_s::const_iterator i = diagrams.begin(); 
	     i != diagrams.end(); i++) {
		SVDDraw (*i);
	}
}

void SVDDraw (cexfile::cexfile* file) {
	const cexfile::lattice_s & lattices = file -> get_lattices();
	for (cexfile::lattice_s::const_iterator i = lattices.begin() ; 
	     i != lattices.end() ; i++) {
		SVDDraw (*i);
	}
}

/** \} */
